=== debian/changelog ===
feff85exafs (0.2+dfsg-3) unstable; urgency=medium

  * Drop build-dependency on python3-pkg-resources (Closes: #1083389)
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Thu, 30 Jan 2025 02:31:17 -0500

feff85exafs (0.2+dfsg-2) unstable; urgency=medium

  * Add missing build and run dependency on python3-pkg-resources.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Add debian/todo.

 -- Andrius Merkys <merkys@debian.org>  Mon, 27 Jun 2022 06:54:55 -0400

feff85exafs (0.2+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #1005320)

 -- Andrius Merkys <merkys@debian.org>  Wed, 09 Feb 2022 07:56:39 -0500
