=== src/ATOM/SConstruct ===
## -*- python -*-
## feff85exafs build system based on scons
## see HEADERS/license.h for license information

import sys
sys.path.append('..')
from FeffBuild import CompilationEnvironment, InstallEnvironment, FindOtherObjects
from   os.path   import realpath, join

try:
    Import('env')
except:
    env  = CompilationEnvironment()
ienv = InstallEnvironment()

lib_src = Split('akeato.f  cofcon.f  etotal.f  fpf0.f   lagdat.f  nucdev.f  potslw.f  soldir.f \
                 wfirdf.f  aprdev.f  dentfa.f  fdmocc.f inmuat.f  messer.f  ortdat.f  s02at.f  \
                 tabrat.f  yzkrdf.f  bkmrdf.f  dsordf.f fdrirk.f  intdir.f  muatco.f  potrdf.f \
                 scfdat.f  vlda.f    yzkteg.f')


deps = ('COMMON/wlog', 'COMMON/getorb', 'COMMON/str',
        'PAR/sequential', 'MATH/determ', 'MATH/somm',
        'MATH/somm2', 'MATH/cwig3j', 'EXCH/vbh', 'EXCH/edp')

lib = env.Library('libfeffatom', lib_src) #  + FindOtherObjects(deps, env))

env.Depends('fpf0.f', join('..', 'json-fortran', 'json_module.mod'))

#env.Install(ienv['i_lib'], lib)
#env.Alias('install', ienv['i_lib'])

env.SharedObject(lib_src)
#env.SharedObject(['potslw.f', 'scfdat.f', 'vlda.f', 'inmuat.f', 'muatco.f', 'soldir.f', 'potrdf.f',
#                  'ortdat.f', 'messer.f', 'etotal.f', 'lagdat.f', 'dsordf.f'])
