=== src/DEBYE/SConstruct ===
## -*- python -*-
## feff85exafs build system based on scons
## see HEADERS/license.h for license information

import sys
sys.path.append('..')
from FeffBuild import CompilationEnvironment, InstallEnvironment, FindOtherObjects
from   os.path   import realpath, join

try:
    Import('env')
except:
    env  = CompilationEnvironment()
ienv = InstallEnvironment()

lib_src = Split('sigcl.f  sigm3.f  sigms.f  sigrem.f  sigte3.f')

deps = ('COMMON/wlog', 'COMMON/str', 'COMMON/itoken', 'COMMON/pertab',
        'COMMON/chopen', 'MATH/dist', 'PAR/sequential')

env.Library('libfeffdw', lib_src) # + FindOtherObjects(deps, env))

#env.Install(ienv['i_lib'], 'libfeffdw' + env['LIBSUFFIX'])
#env.Alias('install', ienv['i_lib'])
