=== src/EXCH/SConstruct ===
## -*- python -*-
## feff85exafs build system based on scons
## see HEADERS/license.h for license information

import sys
sys.path.append('..')
from FeffBuild import CompilationEnvironment, InstallEnvironment, FindOtherObjects
from   os.path   import realpath, join

try:
    Import('env')
except:
    env  = CompilationEnvironment()
ienv = InstallEnvironment()

lib_src = Split('csigma.f  csigz.f  cubic.f  edp.f  ffq.f  fndsng.f  imhl.f  mpse.f \
                 qsorti.f  quinn.f  rhl.f  rhlbp.f  vbh.f  xcpot.f')

deps = ('COMMON/wlog', 'COMMON/str', 'COMMON/rdcmt', 'COMMON/pertab',
        'COMMON/chopen', 'MATH/czeros', 'MATH/terp', 'MATH/polint', 'PAR/sequential')

env.Library('libfeffexch', lib_src) # + FindOtherObjects(deps, env))

#env.Install(ienv['i_lib'], 'libfeffexch' + env['SHLIBSUFFIX'])
#env.Alias('install', ienv['i_lib'])

#env.SharedObject(['edp.f', 'csigma.f', 'csigz.f', 'ffq.f', 'imhl.f', 'quinn.f', 'rhl.f', 'rhlbp.f', 'vbh.f', 'xcpot.f'])
env.SharedObject(lib_src)
