=== src/FF2X/SConstruct ===
## -*- python -*-
## feff85exafs build system based on scons
## see HEADERS/license.h for license information

import sys, os
sys.path.append('..')
from FeffBuild import CompilationEnvironment, InstallEnvironment
from   os.path   import realpath, join

try:
    Import('env')
except:
    env  = CompilationEnvironment()
ienv = InstallEnvironment()

bin_src = ['exconv.f',  'feffdt.f',  'fdtarr.f', 'fdthea.f', 'ff2afs.f',  'ff2chi.f',  'ff2xmu.f',  'ffmod6.f',
           'fprime.f', 'ff2gen.f', 'rdfbin.f',  'reff2x.f',  'xscorr.f']
#not_in_f85e = []
libs = [join('..', 'json-fortran', 'libjsonfortran.a'),
        join('..', 'DEBYE',  'libfeffdw.a'),
        join('..', 'COMMON', 'libfeffcom.a'),
        join('..', 'PAR',    'libfeffpar.a'),
        join('..', 'MATH',   'libfeffmath.a'),
        join('..', 'JSON',   'libfeffjson.a'),
    ]



env.Program('ff2x', bin_src + libs)

if os.name != 'nt':
    env.SharedObject('fdtarr'+env['SHOBJSUFFIX'], source='fdtarr.f', FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('fdthea'+env['SHOBJSUFFIX'], source='fdthea.f', FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('fdtxdi'+env['SHOBJSUFFIX'], source='fdtxdi.f', FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')
    env.SharedObject('xscorr'+env['SHOBJSUFFIX'], source='xscorr.f', FORTRANFLAGS = env['FORTRANFLAGS']+' -fPIC')

env.Install(ienv['i_bin'], 'ff2x'+env['PROGSUFFIX'])
env.Alias('install', ienv['i_bin'])
