=== debian/control ===
Source: feff85exafs
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 gfortran,
 help2man,
 python3-pkg-resources,
 python3:any,
Standards-Version: 4.6.0
Homepage: https://github.com/xraypy/feff85exafs
Vcs-Browser: https://salsa.debian.org/science-team/feff85exafs
Vcs-Git: https://salsa.debian.org/science-team/feff85exafs.git
Rules-Requires-Root: no

Package: feff85exafs
Architecture: any
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Open Source theoretical EXAFS calculations
 The feff85exafs project aims to provide high quality theoretical standards for
 EXAFS analysis within an open source, freely re-distributable framework.
